Loading...
Searching...
No Matches
sig_source.h File Reference
`#include <gnuradio/analog/api.h>`
`#include <gnuradio/analog/sig_source_waveform.h>`
`#include <gnuradio/sync_block.h>`
Include dependency graph for sig_source.h:

Go to the source code of this file.

## Classes

class | gr::analog::sig_source< T >
| signal generator with T output. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::analog

## Typedefs

typedef sig_source< std::int8_t > | gr::analog::sig_source_b
typedef sig_source< std::int16_t > | gr::analog::sig_source_s
typedef sig_source< std::int32_t > | gr::analog::sig_source_i
typedef sig_source< float > | gr::analog::sig_source_f
typedef sig_source< gr_complex > | gr::analog::sig_source_c